<!--  -->
<template>
  <div class="tab_bg" @click="$emit('ok',title)" :style="`background-image:url(${currentimg})`">
    <div class="title" :style="`color:${active?'coral':'#fff'}`" >{{ title }}</div>
  </div>
</template>

<script>
import defaultimg from "@/assets/images/tab_btn_bg.png"
import activeimg from "@/assets/images/tab_btn_bg_active.png"
export default {
  name: "tabBtn",
  components: {},
  props: {
    title: {
      type: String,
      default: "按钮",
    },
    active: {
      type: Boolean,
      default: false,
    },
    tabs:{
      type:Array,
      require:true,
    }
  },
  data() {
    return {};
  },
  created() {},
  mounted() {
    // console.log(this.active,27)
  },
  computed: {
    currentimg(){
      return this.active?activeimg:defaultimg
    }
  },
  watch: {},
  methods: {},
};
</script>
<style scoped>
.tab_bg {
  width: 150px;
  height: 60px;
  background: url("../assets/images/tab_btn_bg.png") no-repeat;
  background-size: 100% 100%;
  margin: 0 20px;
  display: inline-block;
  cursor: pointer;
}

.tab_bg .title {
  width: 150px;
  height: 60px;
  line-height: 60px;
  text-align: center;
  font-size: 24px;
  color: coral;
}

</style>